%define kdeprefix /usr
%define version 0.82
%define kderelease 1

%define qtver  qt >= 1.42

%define kdename  kcmlaptop
Name: %{kdename}
Summary: A KDE control panel and battery meter for laptop computers.
Version: %{version}
Release: %{kderelease}
Serial: 1
Source: %{kdename}-%{version}.tar.gz
License: GPL
URL: http://www.taniwha.com/laptop
Group: Applications/System
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: %{qtver} kdesupport
Prefix: %{kdeprefix}

%description
This is a control panel for laptops which are compatible with the
Advanced Power Management (APM) specification. It puts a battery meter
icon in the control strip, also allows you to set up events to occur
when the battery power is running low.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
export KDEDIR=%{kdeprefix}
./configure \
	--prefix=%{kdeprefix} \
	--exec_prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	exec_prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0







